Bug 616459 - Upgrade JON2.3.1 to JON2.4GA_QA with oracle is missing alert definition
Summary: Upgrade JON2.3.1 to JON2.4GA_QA with oracle is missing alert definition
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Database   
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
urgent
high vote
Target Milestone: ---
: ---
Assignee: Heiko W. Rupp
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint12-bugs 614432
TreeView+ depends on / blocked
 
Reported: 2010-07-20 14:13 UTC by Rajan Timaniya
Modified: 2010-08-12 16:45 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:45:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log (234.67 KB, text/x-log)
2010-07-20 14:13 UTC, Rajan Timaniya
no flags Details
server log for build #71 (488.21 KB, text/x-log)
2010-07-21 13:56 UTC, Rajan Timaniya
no flags Details

Description Rajan Timaniya 2010-07-20 14:13:37 UTC
Created attachment 433175 [details]
server log

Description of problem:
Upgrade JON2.3.1 to JON2.4GA_QA with oracle is missing alert definition.

Version-Release number of selected component (if applicable):
version: 2.4.0.GA_QA  (build #70)
build number: 10856:52c274a

How reproducible:

Steps to Reproduce:
1) Install JON 2.3.1 and agent with Oracle 10g
2) Perform operations on JON 2.3.1
 (i) Create alerts:
       (a) Name:   Platform_alert_test    [Type: Linux (Platform)]
         If Condition:    Free Memory > 0.1B
         Dampening Rule:  Each time condition set is true
         Action Filters:  Disable alert until re-enabled manually or by    
         recovery alert: false
	 Notify Roles (All Resources Role, Super User Role)
         Notify Other Recipients: Eamil - rtimaniy@redhat.com
	 Operation- Control Type:  	View Process List

        (b)Name:   JBOSSAS_JVM_ALERT [Type: JBoss AS JVM (Server)]
         If Condition:    Availability goes DOWN
         Dampening Rule:  Each time condition set is true
         Action Filters:  Disable alert until re-enabled manually or byrecovery 
         alert : false 
	 Notify Roles (All Resources Role, Super User Role)
         Notify Other Recipients: Eamil - rtimaniy@redhat.com

        (c)Name:RHQ_Agent_JVM_Active_Threads_Alert  [Type: RHQ Agent(Server)]
         If Condition:    JVM Active Threads > -1.0
         Dampening Rule:  Each time condition set is true
         Action Filters:  Disable alert until re-enabled manually or byrecovery 
         alert: false 
         Notify Other Recipients: Eamil - rtimaniy@redhat.com
         Notify Roles (All Resources Role, Super User Role)
         Notify JON Users  (username - rhqadmin)

	(d) Name:   RHQ_Agent_alert_test    [Type: RHQ Agent (Server)]
         If Condition:    Total Memory > 0.1B
         Dampening Rule:  Each time condition set is true
         Action Filters:  Disable alert until re-enabled manually or by    
         recovery alert: false
	 Notify Roles (All Resources Role, Super User Role)
         Notify Other Recipients: Eamil - rtimaniy@redhat.com

5) Stop/Down all JON2.3.1 servers
6) Keep all agents running
7) Upgrade one server from JON2.3.1 to JON 2.4 (build #70) (with same database-Oracle 10g)
8) Verify all alert definitions (alert created in JON2.3.1 - step:2)
  
Actual results:
After JON upgrade some alert definitions are missing. 

Expected results:
JON upgrade should not miss any alert definition.

Additional info:
Please refer attached server log

Comment 1 Charles Crouch 2010-07-20 14:41:46 UTC
(9:31:44 AM) ccrouch: rajan: https://bugzilla.redhat.com/show_bug.cgi?id=616459 , which alert definitions are missing?
(9:32:57 AM) rajan: ccrouch, it missed alert for RHQ Agent, Boss AS JVM

Comment 2 Charles Crouch 2010-07-20 14:42:38 UTC
(9:32:50 AM) pilhuhn: rajan: is this after the failed update of ..395 or ..400 ? especially the latter failed to port over some definitions
(9:35:10 AM) rajan: pilhuhn, yes its all in same time of ..395 and ...400
(9:37:15 AM) ccrouch: rajan: ok well that means these last couple bugs may be bogus then?
(9:37:27 AM) ccrouch: since the upgrade clearly failed
(9:37:54 AM) ccrouch: is that what you were getting at pilhuhn ?
(9:41:31 AM) pilhuhn: ccrouch: yes, that is my idea
(9:41:48 AM) pilhuhn: perhaps not all, but the 459 one could be caused by the 400 one

Comment 3 Charles Crouch 2010-07-20 16:35:23 UTC
This could also be related to
https://bugzilla.redhat.com/show_bug.cgi?id=616400  
Joseph was not able to reproduce when testing on Postgres, Heiko will try to
reproduce on Oracle

Comment 4 Joseph Marques 2010-07-21 01:43:25 UTC
We were not able to reproduce on Oracle either.  Pushing back to QA for retest.

Note: in at least one instance of our testing, our alert notification audit trail got an additional entry added to it.  Prior to the upgrade one alert had:

subjects: <foobar>
email: <blah>

And after the upgrade it had:

subjects: <foobar>
email: <blah>
roles: (none)

So their was this "ghost" row for the roles, but Charles considers that OK for the release.

Comment 5 Rajan Timaniya 2010-07-21 13:51:18 UTC
Found same issue on JON2.4 (build #71) version: 2.4.0.GA_QA build number: 10860:2ca5643 with Postgres 8.4

This time issue only observed for 'RHQ Agent (Server)' alert.

Steps:
1) Install JON 2.3.1 and agent with Oracle 10g
2) Perform operations on JON 2.3.1
 (i) Create alerts:
     Name:  Rajan_Alert_RHQ_Agent - Type: RHQ Agent (Server)
     If Condition:  	 JVM Active Threads > 0.0
     Dampening Rule: 	Each time condition set is true
     Action Filters: 	Disable alert until re-enabled manually or by recovery 
     alert : true 
     Email notification: skondkar@redhat.com,rtimaniy@redhat.com
     Operation - Control Type:  	Get Info On All Plugins

5) Stop/Down all JON2.3.1 servers
6) Keep agent running
7) Upgrade one server from JON2.3.1 to JON 2.4 (build #71) (with same
database-Postgres 8.4)
8) Verify all alert definitions (alert created in JON2.3.1 - step:2)

Comment 6 Rajan Timaniya 2010-07-21 13:56:33 UTC
Created attachment 433425 [details]
server log for build #71

Comment 7 Charles Crouch 2010-07-21 18:14:08 UTC
Pushing back to QE because its not clear exactly what the remaining issue is here: Are alert definitions being lost, or alert notifications being lost? If its notifications then this is addressed by https://bugzilla.redhat.com/show_bug.cgi?id=616661

Comment 8 Filip Drabek 2010-07-22 09:00:54 UTC
/tested on oracle/ Alert definitions are not lost but data which were collected by agent during upgrade are missing (metrics, alerts ).
Agent was running during the whole upgrade.

If it is not problem than the fix is verified on Oracle.

Comment 9 Heiko W. Rupp 2010-07-22 09:46:27 UTC
> /tested on oracle/ Alert definitions are not lost but data which were collected
> by agent during upgrade are missing (metrics, alerts ).

This is expected and documented.(In reply to comment #8)

Comment 10 Corey Welton 2010-08-12 16:45:41 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.